Subject: bug#29801: 25.3; ispell cannot detect installed dictionaries

From: Glenn Morris <[email-masked]>
Date: Fri, 22 Dec 2017 14:04:03 -0500

Eli Zaretskii wrote:

>> >   "(but really Aspell \\([0-9]+\\.[0-9.]+\\([-._+ ]?[a-zA-Z0-9]+\\)?\\)?)"
>> 
>> I see that the only thing ispell.el uses the numeric version for is to
>> test if it is >= 0.60. aspell 0.60 was released in 2004. Even RHEL6 has
>> aspell 0.60.6. So IMO ispell.el can discard the version checking
>> entirely, and just look for "really Aspell".
>
> Why would we want to make a change that gains us nothing at all, and
> at "best" breaks old systems?

Because it future-proofs against a class of similar problems, eg

 (but really Aspell 0.80~beta1)
 (but really Aspell 0.90 "awesome code name")

and because the old systems using a 13+ year-old aspell don't exist.

So why do a fragile check for information that isn't needed.

The amount of legacy crap in Emacs, and the refusal to relinquish it,
is frustrating.